package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.WfNwpData;
import com.ruoyi.predict.mapper.WfNwpDataMapper;
import com.ruoyi.predict.service.IWfNwpDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * WfNwpDataService业务层处理
 *
 * @author hlf
 * @date 2021-07-14
 */
@Service
public class WfNwpDataServiceImpl implements IWfNwpDataService {
    @Autowired(required = false)
    private WfNwpDataMapper wfNwpDataMapper;

    /**
     * 查询WfNwpData
     *
     * @param windplantNo WfNwpDataID
     * @return WfNwpData
     */
    @Override
    public WfNwpData selectWfNwpDataById(Long windplantNo) {
        return wfNwpDataMapper.selectWfNwpDataById(windplantNo);
    }

    /**
     * 查询WfNwpData列表
     *
     * @param wfNwpData WfNwpData
     * @return WfNwpData
     */
    @Override
    public List<WfNwpData> selectWfNwpDataList(WfNwpData wfNwpData) {
        return wfNwpDataMapper.selectWfNwpDataList(wfNwpData);
    }

    @Override
    public List<WfNwpData> selectWfNwpData(Long windplantNo, Long nwpType, Date dataTime) {
        return wfNwpDataMapper.selectWfNwpData(windplantNo, nwpType, dataTime);
    }

    @Override
    public List<WfNwpData> selectWfNwpDataByWindDir(Long windplantNo, Long nwpType, Date dataTime, Map<String, Object> params) {
        return wfNwpDataMapper.selectWfNwpDataByWindDir(windplantNo, nwpType, dataTime, params);
    }
}
